<template>
  <div id="app">
    <router-view v-if="isRouterViewshow" />
  </div>
</template>
<script>
export default {
  provide() {
    return {
      reload: this.loader,
    };
  },
  data() {
    return {
      isRouterViewshow: true,
    };
  },
  methods: {
    loader() {
      this.isRouterViewshow = false;
      console.log(123);
      this.$nextTick(() => {
        this.isRouterViewshow = true;
      });
    },
  },
};
</script>
<style lang="less">
#app {
  font-family: Avenir, Helvetica, Arial, sans-serif;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  // text-align: center;
  // color: #2c3e50;
  height: 100%;
}

#nav {
  padding: 30px;

  a {
    font-weight: bold;
    color: #2c3e50;

    &.router-link-exact-active {
      color: #42b983;
    }
  }
}
</style>
